Subject: [[email-masked]: Visa Priority Date???]

From: [email-masked] (Mi Mi)
Date: Mon, 8 Nov 93 13:06:05 CST

=FYI==FYI==FYI==FYI===FYI=FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI=
=Mi Mi Sr.==Mi Mi Sr.==Mi Mi Sr.==Mi Mi Sr.==Mi Mi Sr.==Mi Mi Sr.==Mi Mi Sr.=
=FYI==FYI==FYI==FYI===FYI=FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI==FYI=

If the EB-2 backlog gets longer, is IFCSS responsible for that? CSPA?
CSPA has taken more than 50,000 potential applicants in EB-2 and EB-3
waiting pools to the world-wide leftovers, and probably more before next
July. Is that good enough? While the EB-3 issue is still controversial,
since the CSPA lads (including CSS and all the others) are still taking
quotas from China's current pool, the EB-2, has nothing to do with CSPA
at all.

The surge of demands on EB-2, as Mi Mi Sr. sees it, might be caused
by several reasons.

1) The undesirable classification of the visa type EC6, which, might lead to
   some political problems, prevents some current EB-2 ready applicants from
   jumping into the race. 

2) The undesirable treatment for dependents. As a normal EB-2 applicant, 
   his/her dependents will get the immigration visa together with the 
   principal, no matter where they are, either in US or China, from the
   some category EB-2. As a CSPA principal, there are many troubles with
   the lads. Time windows, visa number availabilities, pre or post
   July lads, etc. (If ther had been no problems for lads, the LADS-net
   would have never been organized). While some one is eligible to bring 
   his/her dependents out of China instantly, why bother to try a less 
   desirable alternative?

   It was repeatedly urged by IFCSS and Immigration lawyers that people with 
   ordinay channel to adjust their status do not rely on CSPA only, and 
   keeping the other options open was encouraged by all the parties involved. 
   Of course this group of people have their rights to pick up EB-2 instead 
   of CSPA, and there is absolutely no reason for anyone to complain about 
   their decisions.

3) Sudden surge of demands from LCers. This possibility is probable since
   some LC want to avoid the long waiting line in EB-3. But, since you
   can not apply EB-2 and EB-3 with different qualifications at the same 
   time (for derivative applicants, it is possible for them to apply both
   catgories, as as EB-3 and FB-2 at the same time, but not the principals),
   there is little chance that many LC just switch their categories in such 
   a short period.

4) The sudden revival of ths sluggish US economy needs more EB-2 from Chinese?
   This is almost impossible.

As the above analysis, the retrogress of China's EB-2 is mostly caused by 
the undesired features of CSPA. While we can not change the political aspect,
we can, try to solve the family problems. If all the lads can get the fast 
visa together with their principals in the world-wide pool without hurting
anyone who came later, then all of us will be happy. Please do not ASK IFCSS
why this happened. Take the action to solve it. Join the lads-net effort
to get a bigger pie for lads in the world pool, that is mutually benefitial.

We lost several chances. We paid the tuition. We have to learn some from the 
past. We can not loss anymore. We can not learn nothing while paying more
tuitions. December is comming. The final CSPA implementation is comming. It 
it the last chance for us to take our fate in our own hands. Wake up, LC 
brothers and sisters!

Mi Mi Sr.

=original message included==original message included=
=original message included==original message included=

Date:         Sun, 7 Nov 1993 12:34:34 CST
Reply-To: Chengyan Liu <[email-masked]>
Sender: China-Net <[email-masked]>
>From: Chengyan Liu <[email-masked]>
Subject:      Visa Priority Date???
Comments: To: [email-masked]
To: Multiple recipients of list CHINA-NT <[email-masked]>

>From ****@*****.med.virginia.edu  Sun Nov  7 09:04:58 1993

Dear friends:

I am writing to you concerning the Chinese employment based (2nd
priority) visa number.

Before the implementation of CSPA, IFCSS has said publically
several times on different occasions that CSPA will reduce the
waiting time for an immigrant visa because most, if not all, of
the CSS who came before 4/11/90 will take advantage of CSPA.  The
result, the immigrant visa number for Chinese students,
especially for the 2nd preference (which is designated for
advanced degree holder like most of the CSS in the US) will
become current. The argument thus has become a major reason for the
silence of late-comers, and it had worked very well.

Unfortunately, 4 months after the implementation of CSPA, the
visa number for the 2nd preference has gone back to Feb 1992 from
July 1993.  I was shocked when I first read this on CND, and I had
hoped that they had made a typing mistake.  Instead of Feb 1992,
the date really should be Feb 1993.  Much to my dissapointment,
two independent sources had confirmed the CND's news.  The visa
number for the employment based 2rd preference is indeed Feb
1992.

So what happened?

I don't have a clue.  Before the implementation of CSPA, the
employment based visa number for 2nd preference had advanced to
Dec 1992 and had become current in July, August and September
1993.  The INS official publication "Visa Bulletin" explained
that "heavy demand for change of status, especially in local INS
offices" is the cause of the retrogression.

I, for one, don't necessarily believe INS's explanation and I
also want IFCSS to make good on its promises.  Would you mind
posting my letter to the net?  If it is not too much trouble,
could you also discuss this with IFCSS on this matter?

Best regards.

--A Late Comer